variables:
  SKIP_PHPCS_FIXER:  0
  PROJECT_TYPE: "BUILD"

'PHP CS Fixer':
  image: $DOCKER_CI_PHP_IMAGE
  extends:
    - .cache
    - .code_quality_default
  before_script:
    - mkdir -p .toolbox/
    - ${COMPOSER_BIN} require --working-dir=.toolbox/ --no-interaction --ignore-platform-reqs --no-progress drupol/phpcsfixer-configs-drupal
    - test -f php-cs-fixer.dist.php || curl -OL --output-dir .toolbox/ ${TOOLBOX_REF_URL}/templates/code_quality/php_cs_fixer/php-cs-fixer.dist.php
  script:
    - .toolbox/vendor/bin/php-cs-fixer fix
      --config=.toolbox/php-cs-fixer.dist.php --dry-run --diff --show-progress=dots ${FOLDERS} || true
    - .toolbox/vendor/bin/php-cs-fixer fix
      --config=.toolbox/php-cs-fixer.dist.php --dry-run --format=gitlab --diff --show-progress=dots ${FOLDERS} > php-cs-fixer-quality-report.json
  rules:
    - if: '$SKIP_PHPCS_FIXER == "1"'
      when: never
    - if: '"$PROJECT_TYPE" == "TMA"'
      when: always
      allow_failure: true
    - when: on_success
  artifacts:
    expose_as: php-cs-fixer
    when: always
    expire_in: 6 mos
    reports:
      codequality: php-cs-fixer-quality-report.json
    paths:
      - php-cs-fixer-quality-report.json
